var Intent = null,
			File = null,
			Uri = null,
			main = null;
		var shares = null;
		var shareImageUrl = '';
		mui.plusReady(function() {  
			updateSerivces();
			if (plus.os.name == "Android") {
				Intent = plus.android.importClass("android.content.Intent");
				File = plus.android.importClass("java.io.File");
				Uri = plus.android.importClass("android.net.Uri");
				main = plus.android.runtimeMainActivity();
			}
		})

		mui.ajax(ApiUrl('web','share'),{
			data:{shopId:shopId, userId:userId},
			dataType:'json',
			type:'post',
			success:function(e){
				title=e.title;
				content=e.content;
				href=e.href;
				pictures=GetImg(e.pictures);	
			}
		});		
		
		
		function updateSerivces() {
			plus.share.getServices(function(s) {
				shares = {};
				for (var i in s) {
					var t = s[i];
					shares[t.id] = t;
				}
			 	outSet("获取分享服务列表成功");
			}, function(e) {
				outSet("获取分享服务列表失败：" + e.message);
			});
		}
		
		function shareAction(id, ex) {
			console.log('id = ' + id);
			console.log('ex = ' + ex);
			console.log('shares[id]' + shares[id]);
			var s = null;
			if (!id || !(s = shares[id])) {
				outLine("无效的分享服务！");
				return;
			}
			if (s.authenticated) {
				outSet("---已授权---");
				shareMessage(s, ex);
			} else {
				outSet("---未授权---");
				s.authorize(function() {
					shareMessage(s, ex);
				}, function(e) {
					outLine("认证授权失败");
				});
			}
		}
		
		function shareMessage(s, ex) {
			var msg = {
				content: content,
				href: href,
				title: title,
				content: content,
				thumbs: [pictures],
				pictures: [pictures],
				extra: {
					scene: ex
				}
			};
			s.send(msg, function() {
				outLine("分享成功!");
			}, function(e) {
				outLine("分享失败!");
			});	
		}
		
		function shareHref() {
			var ids = [{
					id: "weixin", 
					ex: "WXSceneSession"  /*微信好友*/
				}, {
					id: "weixin",
					ex: "WXSceneTimeline" /*微信朋友圈*/
				}],
				bts = [{
					title: "发送给微信好友"
				}, {
					title: "分享到微信朋友圈"
				}];
			plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: bts
				},
				function(e) {
					var i = e.index;
					console.log('i = ' + i);
					if (i > 0) {
						shareAction(ids[i - 1].id, ids[i - 1].ex);
					}
				}
			);
		}
		
		function outSet(msg) {
			console.log(msg);
		}
		// 界面弹出吐司提示
		function outLine(msg) {
			mui.toast(msg);
		}